/* This software is contributed or developed by KYOCERA Corporation.
 * (C) 2011 KYOCERA Corporation
 */

#include "proc_comm.h"
#include <mach/proc_comm_kyocera.h>

int proc_comm_rpc_apps_to_modem(unsigned sub_cmd, unsigned *data)
{
	return msm_proc_comm(PCOM_CUSTOMER_CMD2, &sub_cmd, data);
}

int proc_comm_vdd_mic_en(unsigned on, unsigned grp)
{
	unsigned tmp = 0;

	if(grp>=HS_VDD_MIC_GID_MAX)
		return -1;

	if( (on!=HS_VDD_MIC_DISABLE) && (on!=HS_VDD_MIC_ENABLE) )
		return -1;

	tmp = (on|(grp<<1));
	return proc_comm_rpc_apps_to_modem(PROC_COMM_SUB_CMD_VDD_MIC_EN, &tmp);
}

