/*
 * This software is contributed or developed by KYOCERA Corporation.
 * (C) 2011 KYOCERA Corporation
*/



#define GP2_MODE_A		0
#define GP2_MODE_B1		1
#define GP2_MODE_B2		2
#define GP2_MODE_CUSTOM	3
#define GP2_MODE_MAX_NUM	4

#define GP2_IOCTL_CMD	2



struct gp2_reg_set {
	struct _prox {
		u8 vo;
	} prox;
	struct _gain {
		u8 led;
	} gain;
	struct _hys {
		u8 hysd;
		u8 hysc;
		u8 hysf;
	} hys;
	struct _cycle {
		u8 cycl;
		u8 osc;
	} cycle;
	struct _opmod {
		u8 asd;
		u8 ssd;
		u8 vcon;
	} opmod;
	struct _con {
		u8 ocon;
	} con;
};

