/* This software is contributed or developed by KYOCERA Corporation. */
/* (C) 2011 KYOCERA Corporation                                      */

#ifndef HS_PL_TABLE_H
#define HS_PL_TABLE_H

#include  "hs_pl_table_util.h"

enum {
  HS_PL_TABLE_0,
  HS_PL_TABLE_1,
  HS_PL_TABLE_2,
  HS_PL_TABLE_3,
  HS_PL_TABLE_4,
  HS_PL_TABLE_5,
  HS_PL_TABLE_6,
  HS_PL_TABLE_END
};

enum {
  HS_PL_CONT_0,
  HS_PL_CONT_1,
  HS_PL_CONT_2,
  HS_PL_CONT_END
};

#define   HS_PL_MAKE_FLAG1      0x41544C50
#define   HS_PL_MAKE_FLAG2      0x20454C42
#define   HS_PL_SUC_ROMAREA     0xA100
#define   HS_PL_ERR_AREAOVER    0xE100
#define   HS_PL_ERR_ADDRESS     0xFFFFFFFF
#define   HS_PL_ERR_RECOVERY    0xFFFFFFFF

typedef struct {
  u_long    status1;
  u_long    status2;
  u_short   pl_dummy0[1];
  u_short   pl_dummy1[1];
  u_short   pl_dummy2[134];
  u_short   pl_buff0[18];
  u_short   pl_buff1[148];
  u_short   pl_buff2[16];
} PL_IMAGE_TABLE;

typedef struct {
  u_short   bl_top;
  u_short   bl_end;
  u_short   data;
  u_short   spare;
  u_short   cont;
  u_short  *tbl;
} PL_SWITCH_TABLE;
#endif
